吊销签名证明
curl --request POST \
--url https://api.qbank.cl/platform/v1/signature-proofs/{proofID}/revoke \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/signature-proofs/{proofID}/revoke"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/signature-proofs/{proofID}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"proof": {
"proof_id": "c41d2a88-7f3e-4b21-9c6d-2e8f1a5b7d90",
"account_id": "ae8c1f02-3b45-4c67-9d12-8f0e5a6b7c8d",
"wallet_id": "b7e39c14-2d56-4e78-8a01-3c5d7e9f1b24",
"chain": "eth",
"address": "0x71C7656EC7ab88b098defB751B7401B5f6d8976F",
"purpose": "wallet_ownership",
"statement": "I control this wallet",
"envelope": "CBPay Signature Proof\nDomain: https://api.qbank.cl/platform\nPurpose: wallet_ownership\nWallet: 0x71C7656EC7ab88b098defB751B7401B5f6d8976F\nNonce: 9f2c41d2a887f3e4b219c6d2e8f1a5b7\nIssued: 2026-08-21T14:03:11Z\nExpires: 2026-08-21T14:13:11Z\nStatement: \"I control this wallet\"",
"nonce": "9f2c41d2a887f3e4b219c6d2e8f1a5b7",
"proof_code": "Gc41d2a887f3e4b219c6d2e8f1a5b7d90a1b2c3d4e5f60718293a",
"status": "revoked",
"issued_at": "2026-08-21T14:03:11Z",
"expires_at": "2026-08-21T14:13:11Z",
"signed_at": "2026-08-21T14:03:12Z",
"revoked_at": "2026-08-21T16:40:02Z",
"created_at": "2026-08-21T14:03:11Z",
"verify_url": "https://api.qbank.cl/platform/v1/public/signature-proofs/Gc41d2a887f3e4b219c6d2e8f1a5b7d90a1b2c3d4e5f60718293a"
}
}吊销签名证明
吊销签名证明:公开验证不再将其报告为有效。证明保留在历史记录中 (仅追加)。幂等:吊销已吊销的证明返回相同状态。
POST
/
v1
/
signature-proofs
/
{proofID}
/
revoke
吊销签名证明
最后修改于 2026年8月22日
⌘I